Skip to main content
GET
/
v1
/
companies
/
{company_id}
Get a company
curl --request GET \
  --url https://api.passu.ai/v1/companies/{company_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "company_type": "PUBLIC",
  "sector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "ticker": "<string>",
  "cik": "<string>",
  "fiscal_year_end": "2023-12-25",
  "exchange": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

company_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
name
string
required
company_type
enum<string>
required

Company type enumeration.

Available options:
PUBLIC,
PRIVATE
sector_id
string<uuid>
required
updated_at
string<date-time>
required
ticker
string | null
cik
string | null
fiscal_year_end
string<date> | null
exchange
string | null